<html xmlns:th="http://www.thymeleaf.org" layout="http://www.ultraq.net.nz/thymeleaf/layout">

<!-- Bootstrap CSS -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
<!--2. jQuery 파일-->
<script src="https://code.jquery.com/jquery-3.4.1.js" type="text/javascript"></script>
<!--부트스트랩 연결코드 -->
<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"/>
<!--css 연결 -->
<link rel="stylesheet" th:href="@{/css/survey/survey.css}" type="text/css">
<meta charset="UTF-8">

<Script>
$(document).ready(function(){
    var form = $(#survey);

    //submit 버튼 클릭 이벤트
    $("btnSubmit).on("click",function() {
    self.location = "/list";
    });
})


</Script>
<body>
<div class="container">
    <header class="header">
        <h1 id="title" class="text-center">Survey Form</h1>
        <p id="description" class="description text-center">
            submit your survey here
        </p>
    </header>
    <form id="survey" th:action ="@{list}" th:object="${surveyVO}" method="post">
        <div class="form-group">
            <label id="name-label" for="name">Name</label>
            <input
                    type="text"
                    name="writerName"
                    id="name"
                    class="form-control"
                    placeholder="Enter your name"
                    required
            />
        </div>
        <div class="form-group">
            <label id="email-label" for="email">Email</label>
            <input
                    type="email"
                    name="email"
                    id="email"
                    class="form-control"
                    placeholder="Enter your Email"
                    required
            />
        </div>

        <!--question1 -->
        <div class="form-group">
            <p>question1</p>
            <label>
                <input
                        name="question1"
                        value=1
                        type="radio"
                        class="input-radio"
                        checked
                />answer1</label
            >
            <label>
                <input
                        name="question1"
                        value=2
                        type="radio"
                        class="input-radio"
                />answer2</label
            >

            <label
            ><input
                    name="question1"
                    value=3
                    type="radio"
                    class="input-radio"
            />answer3</label
            >
        </div>
        <!--question2-->
        <div class="form-group">
            <p>
                question 2
            </p>

            <label
            ><input
                    name="question2"
                    value=1
                    type="checkbox"
                    class="input-checkbox"
            />answer1</label
            >
            <label
            ><input
                    name="question2"
                    value=2
                    type="checkbox"
                    class="input-checkbox"
            />answer2</label
            >
            <label
            ><input
                    name="question2"
                    value=3
                    type="checkbox"
                    class="input-checkbox"
            />answer3</label
            >
            <label
            ><input
                    name="question2"
                    value=4
                    type="checkbox"
                    class="input-checkbox"
            />answer4</label
            >
            <label
            ><input
                    name="question2"
                    value=5
                    type="checkbox"
                    class="input-checkbox"
            />answer5</label
            >

        </div>

        <div class="form-group">
            <p>Any comments or suggestions?</p>
            <textarea
                    class="input-textarea"
                    name="content"
                    placeholder="Enter your comment here..."
            ></textarea>
        </div>

        <div class="form-group">
            <button type="submit" id="btnSubmit" class="submit-button">
                Submit
            </button>
        </div>
    </form>
</div>



</body>